Package com.sap.ai.sdk.core.model

# Enum Class BckndResourceGroup.StatusEnum

java.lang.Object
java.lang.Enum<BckndResourceGroup.StatusEnum>
com.sap.ai.sdk.core.model.BckndResourceGroup.StatusEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<BckndResourceGroup.StatusEnum>`, `Constable`

Enclosing class:
  `BckndResourceGroup`

public static enum BckndResourceGroup.StatusEnum extends Enum<BckndResourceGroup.StatusEnum>
aggregated status of the onboarding process

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  The ERROR option of this BckndResourceGroup
  `PROVISIONED`
  The PROVISIONED option of this BckndResourceGroup
  `PROVISIONING`
  The PROVISIONING option of this BckndResourceGroup
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this BckndResourceGroup

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndResourceGroup.StatusEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static BckndResourceGroup.StatusEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static BckndResourceGroup.StatusEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PROVISIONED

    public static final BckndResourceGroup.StatusEnum PROVISIONED
    The PROVISIONED option of this BckndResourceGroup

  - ### ERROR

    public static final BckndResourceGroup.StatusEnum ERROR
    The ERROR option of this BckndResourceGroup

  - ### PROVISIONING

    public static final BckndResourceGroup.StatusEnum PROVISIONING
    The PROVISIONING option of this BckndResourceGroup

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final BckndResourceGroup.StatusEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this BckndResourceGroup

- ## Method Details

  - ### values

    public static BckndResourceGroup.StatusEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BckndResourceGroup.StatusEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<BckndResourceGroup.StatusEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static BckndResourceGroup.StatusEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type BckndResourceGroup